View Issue Details

IDProjectCategoryView StatusLast Update
0006446Talermerchant backend API (C)public2020-08-07 01:44
ReporterChristian Grothoff Assigned Tojonathanbuchanan  
PriorityurgentSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006446: merchant backend should support claim tokens
Description22eadc2..0ad320c provides a draft specification.
We need to:
1) extend merchantdb to store a 128-bit claim token in the orders table
  (use non-NULL even though optional: all zeros means "no claim")
2) extend merchantdb API to store/retrieve the token where needed
3) extend server-side REST API to generate claim token if specified upon request
4) extend server-side REST API to accept claim tokens as alternative to h_contract for authorization
5) extend client-side REST APIs to match new server-side API
6) update tests.

High-ish priority as this is (a) a protocol change for v0.8 and (b) blocks me on WooCommerce. I'll likely do (1) immediately myself and may notify here if I pick up other sub-tasks.
TagsNo tags attached.

Activities

Christian Grothoff

2020-07-27 11:03

manager   ~0016525

3cbbe7b..01f8cd4 adds the required logic to the GET /orders/$ID request, alas without the DB support.

Christian Grothoff

2020-07-27 11:08

manager   ~0016526

01f8cd4..801da06 adds basic support to POST /orders/$ID/claim, alas again without DB API/logic update.

Christian Grothoff

2020-07-27 11:59

manager   ~0016527

06825b7..838f605 adds claim generation to POST /private/orders, again without DB API / logic update.
Jonathan: I'll leave it like this for now, please try to prioritize this issue over your other tasks.

jonathanbuchanan

2020-07-30 00:32

developer   ~0016532

fully implemented by 783520c..f706ada.

Florian Dold

2020-07-30 11:20

manager   ~0016533

Jonathan: Could you make sure that there are test cases for payments both with and without the claim token mechanism enabled?

jonathanbuchanan

2020-07-31 10:01

developer   ~0016534

test for no token added in ce38476..9a13696.

Issue History

Date Modified Username Field Change
2020-07-27 10:46 Christian Grothoff New Issue
2020-07-27 10:46 Christian Grothoff Status new => assigned
2020-07-27 10:46 Christian Grothoff Assigned To => jonathanbuchanan
2020-07-27 11:03 Christian Grothoff Note Added: 0016525
2020-07-27 11:08 Christian Grothoff Note Added: 0016526
2020-07-27 11:59 Christian Grothoff Note Added: 0016527
2020-07-30 00:32 jonathanbuchanan Status assigned => resolved
2020-07-30 00:32 jonathanbuchanan Resolution open => fixed
2020-07-30 00:32 jonathanbuchanan Note Added: 0016532
2020-07-30 11:20 Florian Dold Status resolved => assigned
2020-07-30 11:20 Florian Dold Note Added: 0016533
2020-07-31 10:01 jonathanbuchanan Note Added: 0016534
2020-08-02 02:33 jonathanbuchanan Status assigned => resolved
2020-08-07 01:44 Christian Grothoff Fixed in Version => 0.8